Bug 427380 - Review Request: efibootmgr - EFI Boot Manager
Review Request: efibootmgr - EFI Boot Manager
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-03 12:04 EST by Matt Domsch
Modified: 2008-02-15 22:02 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-15 22:02:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
clumens: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matt Domsch 2008-01-03 12:04:28 EST
Spec URL: http://domsch.com/linux/fedora/efibootmgr/efibootmgr.spec
SRPM URL: http://domsch.com/linux/fedora/efibootmgr/efibootmgr-0.5.4-1.fc9.src.rpm
Description: 
efibootmgr displays and allows the user to edit the Intel Extensible
Firmware Interface (EFI) Boot Manager variables.  Additional
information about EFI can be found at
http://developer.intel.com/technology/efi/efi.htm and http://uefi.org/.


efibootmgr has previously been included in the elilo SRPM, but is being split out into its own package because elilo itself will be going away once grub has that functionality.  efibootmgr is ExclusiveArch i386, x86_64, and ia64 because the EFI environment only exists on those architectures.
Comment 1 Chris Lumens 2008-01-09 09:47:25 EST
rpmlint runs cleanly.

> URL: http://linux.dell.com/%{name}/

I don't see efibootmgr-0.5.4 (the version out of %{version}) available so I
can't check that the sources in the package match the upstream source.

> Conflicts: elilo < 3.6-5
> Obsoletes: elilo < 3.6-5

I believe the Obsoletes should be enough to make sure that elilo gets replaced.

> touch -r src/man/man8/%{name}.8 src/man/man8/%{name}.8.gz

Not sure what the point of that in the %install section is, unless you need to
fake out install somehow.
Comment 2 Matt Domsch 2008-01-09 11:25:01 EST
Chris, thanks for the quick review.

I'll post 0.5.4 as soon as this passes review, I just wanted to wait to roll 
any critical found changes from this review into the release.

I was told on IRC that the Conflicts is necessary too.  notting, advice?

the touch statement is just to get the timestamp to match the file from the 
tarball, so that it doesn't get set to a newer timestamp unnecessarily just 
because it got compressed.
Comment 3 Bill Nottingham 2008-01-09 11:34:35 EST
Thinking... the conflicts might help ensure the right thing happens if someone
just does 'yum install efibootmgr' on a system that already has elilo. But I
don't think it's absolutely necessary.
Comment 4 Matt Domsch 2008-01-09 12:26:23 EST
Thanks Bill.  Seeing as how elilo will hopefully be disapperaing in favor of 
grub w/ EFI capability, the comps file will list efibootmgr but not elilo.  So 
upgrades from a distro version which used the combo elilo package, to a distro 
version that doesn't, needs that line in the efibootmgr package (as efibootmgr 
will be listed in comps).

Chris, with this addressed, any remaining concerns?

Thanks,
Matt
Comment 5 Chris Lumens 2008-01-09 12:47:45 EST
Nope, looks fine to me.  Thanks.
Comment 6 Matt Domsch 2008-01-09 14:39:14 EST
New Package CVS Request
=======================
Package Name: efibootmgr
Short Description: EFI Boot Manager
Owners: mdomsch,notting,clumens
Branches: 
InitialCC:  
Cvsextras Commits: yes
Comment 7 Kevin Fenzi 2008-01-09 16:42:27 EST
cvs done.
Comment 8 Matt Domsch 2008-01-31 20:10:03 EST
build will be coordinated with build of elilo package removing efibootmgr.

Note You need to log in before you can comment on or make changes to this bug.